Skip to main content
GET
/
api
/
v1
/
credentials
List Credentials
curl --request GET \
  --url https://api.example.com/api/v1/credentials
[
  {
    "id": 1,
    "user_id": 1,
    "type": "license",
    "name": "RN License - Tennessee",
    "issuing_body": "TN Board of Nursing",
    "state": "TN",
    "license_number": "RN-123456",
    "issue_date": "2023-06-01",
    "expiry_date": "2025-06-01",
    "s3_key": null,
    "notes": null,
    "created_at": "2025-01-01T00:00:00.000Z"
  }
]

Query Parameters

limit
integer
default:"100"
Maximum records (1–200).
offset
integer
default:"0"
Records to skip.

Response

Returns an array of credential objects sorted by expiry date, with X-Total-Count header.
[
  {
    "id": 1,
    "user_id": 1,
    "type": "license",
    "name": "RN License - Tennessee",
    "issuing_body": "TN Board of Nursing",
    "state": "TN",
    "license_number": "RN-123456",
    "issue_date": "2023-06-01",
    "expiry_date": "2025-06-01",
    "s3_key": null,
    "notes": null,
    "created_at": "2025-01-01T00:00:00.000Z"
  }
]